#ifndef _FD_ITEM_
#define _FD_ITEM_

typedef struct Item Item;
typedef struct Items Items;

#include "game.h"
#include "room.h"

struct Item {
  char *name;
  char *indefinite;
  bool pickuppable;
  char *description;
  bool in_inventory;
  Room *location;
};

struct Items {
  Item items[200];
  int count;
};

void game_load_items(Game *g);
void log_items_in_room(Game *g, Room *r);
Item *find_item(Items *items, char *item_name);
void take_item(Game *g, char *item_name);
void drop_item(Game *g, char *item_name);
void destroy_item(Game *g, char *item_name);
void check_inventory(Game *g);

#endif
